#
# (C) Tenable Network Security

if (description)
{
 script_id(12228);
 script_version ("$Revision: 1.1 $");
 script_bugtraq_id(10246);
 
 script_name(english:"SquirrelMail XSS and Local escalation");
 desc["english"] = "
The remote host is running SquirrelMail, a web-based mail server.

There are several flaws in all versions less than 1.4.3 which allow
for local root access and remote Cross-Site-Scripting (XSS) attacks.

Solution : Upgrade to SquirrelMail 1.4.3 or greater

Risk Factor : Medium";

 script_description(english:desc["english"]);
 script_summary(english:"SquirrelMail XSS and Local escalation");
 script_category(ACT_GATHER_INFO);
 script_family(english:"CGI abuses", francais:"Abus de CGI");
 script_copyright(english:"This script is Copyright (C) 2004 Tenable Network Security");
 script_dependencie("find_service.nes", "http_version.nasl");
 script_require_ports("Services/www", 80);
 exit(0);
}

include("http_func.inc");
include("http_keepalive.inc");

port = get_http_port(default:80);

if(!get_port_state(port))exit(0);
if(!can_host_php(port:port))exit(0);


dir = make_list( cgi_dirs(), "/mail");
		

foreach d (dir)
{
 req = http_get(item:d + "/src/compose.php", port:port);
 res = http_keepalive_send_recv(port:port, data:req);
 if( res == NULL ) exit(0);
 
 if(egrep(pattern:"SquirrelMail version (0\..*|1\.([0-3]\..*|4\.[0-2]))", string:res)) 
 {
  security_warning(port);
  exit(0);
 }
}
