# Copyright (C) 2000 - 2004 Net-Square Solutions Pvt Ltd.
# By: Hemil Shah
# Desc: This script will check for the webadmin.ntf file in the remote web server.
if(description)
{
	script_id(12250);
	script_version ("$Revision: 1.1 $");
	script_cve_id("CVE-2001-0846");
	script_bugtraq_id(3491);	
 	name["english"] = "WebAdmin.nsf access bypass checker";
 	script_name(english:name["english"]);
	desc["english"] = 
"The remote Lotus webserver is vulnerable to a bug
wherein access control around the admin.nsf file
can be bypassed.

Successful exploitation will result in the attacker
gaining access to sensitive files on the remote system.

See also: http://www.nextgenss.com/advisories/replicaid.txt

Risk: High";

	script_description(english:desc["english"]);
 	summary["english"] = "WebAdmin.nsf access bypass checker";
	script_summary(english:summary["english"]);
	script_category(ACT_ATTACK);
	script_copyright(english:"This script is Copyright (C) 2004 Net-Square Solutions Pvt Ltd.");
	family["english"] = "Misc.";
	script_family(english:family["english"]);
	script_dependencie("find_service.nes");
	script_require_ports("Services/www", 80);
	exit(0);
}

# start check

include("http_func.inc");
include("http_keepalive.inc");

port = get_http_port(default:80);

if(! get_port_state(port))
    exit(0);

req = string("/", rand(), ".nsf");
req = http_get(item:req, port:port);
res = http_keepalive_send_recv(port:port, data:req);
if (ereg(pattern:"HTTP/1.[01] 200", string:res))
	exit(0);

req = string("/webadmin.ntf", crap(data:"+", length:251), ".nsf");
req = http_get(item:req, port:port);
res = http_keepalive_send_recv(port:port, data:req);

if(! res)
	exit(0);

if(ereg(pattern:"HTTP/1.[01] 200", string:res))
	security_hole(port);


